/* EFFECTS */
@keyframes dropIn {
    0% {
	opacity: 0;
	transform: translateY(-3%);
    }
    20% {
	opacity: 0.2;
	transform: translateY(0);
    }
    30, 100% {
	opacity: 1;
	transform: translateY(0);
    }
}
@keyframes icones {
    0% {
        opacity: 0;
    }
    30% {
        opacity: 1;
    }
    100% {
        opacity: 1;
        stroke-dashoffset: 0;
    }
}
@keyframes dropInLabel {
    0% {
	opacity: 0;
	transform: translateY(-3%);
    }
    60%, 100% {
	opacity: 1;
	transform: translateY(0);
    }
}
@keyframes fadeIn {
    0% {opacity: 0;}
    100% {opacity: 1;}
}
@-webkit-keyframes fadeIn {
    0% {opacity: 0;}
    100% {opacity: 1;}
}
@keyframes dash {
    to {
	stroke-dashoffset: 1000;
    }
}

/* ICONS */
#activites_humaines path,
#transports path,
#batiments path,
#industrie path,
#agriculture path,
#aerosols_ges path,
#energies_fossiles path,
#deforestation path,
#emissions_co2 path,
#autres_ges path {
    opacity: 0;
    stroke-dasharray: 1000;
    stroke-dashoffset: 1000;
    animation: dropIn 8s ease forwards, icones 5s ease forwards;
}
/* ICONS LABELS */
#activites_humaines g:first-child,
#transports g:first-child,
#batiments g:first-child,
#industrie g:first-child,
#agriculture g:first-child,
#aerosols_ges g:first-child,
#energies_fossiles g:first-child,
#deforestation g:first-child,
#emissions_co2 g:first-child,
#autres_ges g:first-child {
    opacity: 0;
    stroke-dasharray: 1000;
    stroke-dashoffset: 1000;
    animation: dropInLabel 4s ease forwards;
}
/* ARROWS */
#industrie_to_aerosols path,
#transports_to_aerosols path,
#batiments_to_aerosols path {
    opacity: 0;
    stroke-dasharray: 1 25;
    stroke-width: 3;
    stroke-linecap: round;
    stroke-linejoin: round;
    animation: fadeIn 2s ease forwards, dash 10s linear infinite;
}
#industrie_to_energies_fossiles path,
#agriculture_to_deforestation path,
#energies_fossiles_to_emissions_co2 path {
    opacity: 0;
    stroke-dasharray: 24;
    stroke-width: 8;
    stroke-linecap: round;
    stroke-linejoin: round;
    animation: fadeIn 2s ease forwards, dash 10s linear infinite;
}
#agriculture_to_autres_ges path {
    opacity: 0;
    stroke-dasharray: 18;
    stroke-width: 6;
    stroke-linecap: round;
    stroke-linejoin: round;
    animation: fadeIn 2s ease forwards, dash 10s linear infinite;
}
#activites_humaines_to_industries path,
#activites_humaines_to_batiments path,
#activites_humaines_to_transports path,
#activites_humaines_to_agriculture path,
#batiments_to_energies_fossiles path,
#transports_to_energies_fossiles path,
#activites_humaines_to_deforestation path,
#industrie_to_autres_ges path,
#deforestation_to_emissions_co2 path {
    opacity: 0;
    stroke-dasharray: 5;
    stroke-width: 2; 
    stroke-linecap: round;
    stroke-linejoin: round;
    animation: fadeIn 2s ease forwards, dash 25s linear infinite;
}
/* TIMELINE */
#activites_humaines path {
    animation-delay: 250ms;
}
#activites_humaines_to_industries path {
    animation-delay: 1.5s;
}
#industrie path {
    animation-delay: 2s;
}
#industrie_to_energies_fossiles path {
    animation-delay: 3.5s;
}
#energies_fossiles path {
    animation-delay: 4s;
}
#industrie_to_aerosols path {
    animation-delay: 5.5s;
}
#aerosols_ges path {
    animation-delay: 6s;
}
#activites_humaines_to_batiments path {
    animation-delay: 7.5s;
}
#batiments path {
    animation-delay: 8s;
}
#batiments_to_energies_fossiles path {
    animation-delay: 9.5s;
}
#batiments_to_aerosols path {
    animation-delay: 10s;
}
#activites_humaines_to_transports path {
    animation-delay: 11.5s;
}
#transports path {
    animation-delay: 12s;
}
#transports_to_energies_fossiles path {
    animation-delay: 12.5s;
}
#transports_to_aerosols path {
    animation-delay: 13s;
}
#activites_humaines_to_agriculture path {
    animation-delay: 14.5s;
}
#agriculture path {
    animation-delay: 15s;
}
#agriculture_to_deforestation path {
    animation-delay: 16.5s;
}
#deforestation path {
    animation-delay: 17s;
}
#activites_humaines_to_deforestation path {
    animation-delay: 18.5s;
}
#energies_fossiles_to_emissions_co2 path {
    animation-delay: 20s;
}
#emissions_co2 path {
    animation-delay: 20.5s;
}
#deforestation_to_emissions_co2 path {
    animation-delay: 22s;
}
#agriculture_to_autres_ges path {
    animation-delay: 22.5s;
}
#autres_ges path {
    animation-delay: 24s;
}
#industrie_to_autres_ges path {
    animation-delay: 24.5s;
}

/* ICONS */
#emissions_co2_stock path,
#autres_ges_stock path,
#atmosphere_stock path,
#photosynthese path,
#oceans_stock path,
#acidification path,
#calcification path,
#planctons path,
#biodiversite_marine path,
#effet_serre_additionnel path,
#forcage path,
#aerosols_stock path,
#budget path,
#puits_carbone path {
    opacity: 0;
    stroke-dasharray: 1000;
    stroke-dashoffset: 1000;
    animation: dropIn 8s ease forwards, icones 5s ease forwards;
}
/* ICONS LABELS */
#emissions_co2_stock g:first-child,
#autres_ges_stock g:first-child,
#atmosphere_stock g:first-child,
#photosynthese g:first-child,
#oceans_stock g:first-child,
#acidification g:first-child,
#calcification g:first-child,
#planctons g:first-child,
#biodiversite_marine g:first-child,
#effet_serre_additionnel g:first-child,
#forcage g:first-child,
#aerosols_stock g:first-child,
#budget g:first-child {
    opacity: 0;
    stroke-dasharray: 1000;
    stroke-dashoffset: 1000;
    animation: dropInLabel 4s ease forwards;
}
/* ARROWS */
#planctons_to_oceans path {
    opacity: 0;
    stroke-dasharray: 1 25;
    stroke-width: 3;
    stroke-linecap: round;
    stroke-linejoin: round;
    animation: fadeIn 2s ease forwards, dash 10s linear infinite;
}
#emissions_co2_to_split path,
#emissions_co2_to_atmosphere path {
    opacity: 0;
    stroke-dasharray: 24;
    stroke-width: 8;
    stroke-linecap: round;
    stroke-linejoin: round;
    animation: fadeIn 2s ease forwards, dash 10s linear infinite;
}
#emissions_co2_to_oceans path,
#emissions_co2_to_photosynthese path,
#oceans_to_acidification path,
#effet_serre_additionnel_to_forcage path,
#aerosols_to_forcage path,
#effet_serre_naturel path,
#atmosphere_to_effet_serre path,
#forcage_to_budget path {
        opacity: 0;
    stroke-dasharray: 18;
    stroke-width: 6;
    stroke-linecap: round;
    stroke-linejoin: round;
    animation: fadeIn 2s ease forwards, dash 10s linear infinite;
}
#surplus_chaleur_ray path,
#surplus_chaleur_label path {
    opacity: 0;
    stroke-dasharray: 50;
    stroke-width: 2;
    stroke-linecap: round;
    stroke-linejoin: round;
    animation: fadeIn 2s ease forwards, dash 10s linear infinite;
}
#acidification_to_calcification path,
#calcification_to_planctons path,
#planctons_to_biodiversite_marine path,
#atmosphere_to_acidification path,
#aerosols_to_forcage path,
#autres_ges_to_atmosphere path {
    opacity: 0;
    stroke-dasharray: 5;
    stroke-width: 2; 
    stroke-linecap: round;
    stroke-linejoin: round;
    animation: fadeIn 2s ease forwards, dash 25s linear infinite;
}
/* TIMELINE */
#emissions_co2_stock path,
#autres_ges_stock {
    animation-delay: 250ms;
}
#puits_carbone path {
    animation-delay: 1.5s;
}
#emissions_co2_to_split path,
#emissions_co2_to_atmosphere path {
    animation-delay: 3s;
}
#atmosphere_stock path {
    animation-delay: 3.5s;
}
#emissions_co2_to_photosynthese path {
    animation-delay: 5s;
}
#photosynthese path {
    animation-delay: 5.5s;
}
#emissions_co2_to_oceans path {
    animation-delay: 7s;
}
#oceans_stock path {
    animation-delay: 7.5s;
}
#oceans_to_acidification path {
    animation-delay: 9s;
}
#acidification path {
    animation-delay: 9.5s;
}
#acidification_to_calcification path {
    animation-delay: 11s;
}
#calcification path {
    animation-delay: 11.5s;
}
#calcification_to_planctons path {
    animation-delay: 13s;
}
#planctons path {
    animation-delay: 13.5s;
}
#planctons_to_biodiversite_marine path {
    animation-delay: 15s;
}
#biodiversite_marine path {
    animation-delay: 15.5s;
}
#planctons_to_oceans path {
    animation-delay: 17s;
}
#atmosphere_to_acidification path {
    animation-delay: 18.5s;
}
#autres_ges_to_atmosphere path {
    animation-delay: 20s;
}
#effet_serre_naturel path {
    animation-delay: 21.5s;
}
#atmosphere_to_effet_serre path {
    animation-delay: 23s;
}
#effet_serre_additionnel path {
    animation-delay: 23.5s;
}
#surplus_chaleur_ray path,
#surplus_chaleur_label path {
    animation-delay: 25s;
}
#effet_serre_additionnel_to_forcage path {
    animation-delay: 25.5s;
}
#forcage path {
    animation-delay: 27s;
}
#aerosols_stock path {
    animation-delay: 28.5s;
}
#aerosols_to_forcage path {
    animation-delay: 29s;
}
#forcage_to_budget path {
    animation-delay: 29.5s;
}
#budget path {
    animation-delay: 31s;
}
/* ICONS */
#budget_reparti path,
#atmosphere_reparti path,
#terres_reparti path,
#oceans_reparti path,
#glaces path,
#calotte path,
#glacier path,
#banquise path,
#permafrost path,
#autres_ges_reparti path,
#hausse_temp_eau path,
#hausse_temp_air path,
#cyclones path,
#biodiversite_marine_reparti path,
#perturbation_cycle_eau path,
#montee_eaux path,
#ressources_eau_douce path,
#biodiversite_terrestre path {
    opacity: 0;
    stroke-dasharray: 1000;
    stroke-dashoffset: 1000;
    animation: dropIn 8s ease forwards, icones 5s ease forwards;
}
/* ICONS LABELS */
#budget_reparti g:first-child,         
#atmosphere_reparti g:first-child,
#terres_reparti g:first-child,
#oceans_reparti g:first-child,
#glaces g:first-child,
#calotte g:first-child,
#glacier g:first-child,
#banquise g:first-child,                                      
#permafrost g:first-child,
#autres_ges_reparti g:first-child,
#hausse_temp_eau g:first-child, 
#hausse_temp_air g:first-child,
#cyclones g:first-child,
#biodiversite_marine_reparti g:first-child,
#perturbation_cycle_eau g:first-child,
#montee_eaux g:first-child,
#ressources_eau_douce g:first-child, 
#biodiversite_terrestre g:first-child {
    opacity: 0;
    stroke-dasharray: 1000;
    stroke-dashoffset: 1000;
    animation: dropInLabel 4s ease forwards;
}
/* ARROWS */
#budget_to_oceans path,
#oceans_to_hausse_temp_eau path {
    opacity: 0;
    stroke-dasharray: 24;
    stroke-width: 8;
    stroke-linecap: round;
    stroke-linejoin: round;
    animation: fadeIn 2s ease forwards, dash 10s linear infinite;
}
#glaces_to_banquise path {
        opacity: 0;
    stroke-dasharray: 18;
    stroke-width: 6;
    stroke-linecap: round;
    stroke-linejoin: round;
    animation: fadeIn 2s ease forwards, dash 10s linear infinite;
}
#budget_to_atmosphere path,
#budget_to_terres path,
#terres_to_permafrost path,
#permafrost_to_autres_ges path,
#budget_to_glaces path,
#glaces_to_calotte path,
#glaces_to_glaciers path,
#glaces_to_banquise path,
#calotte_to_montee_eaux path,
#glaciers_to_montee_eaux path,
#glaciers_to_ressources_eau_douce path,
#banquise_to_biodiversite path,
#atmosphere_to_hausse_temp path,
#hausse_temp_to_permafrost path,
#hausse_temp_eau_to_cyclones path,
#hausse_temp_eau_to_biodiversite path,
#hausse_temp_eau_to_cycle_eau path,
#hausse_temp_eau_to_montee_eaux path,
#autres_ges_to_atmosphere_reparti path {
    opacity: 0;
    stroke-dasharray: 5;
    stroke-width: 2; 
    stroke-linecap: round;
    stroke-linejoin: round;
    animation: fadeIn 2s ease forwards, dash 25s linear infinite;
}
/* TIMELINE */
#budget_reparti path {
    animation-delay: 250ms;
}
#budget_to_oceans path {
    animation-delay: 1.5s;
}
#oceans_reparti path {
    animation-delay: 2s;
}
#budget_to_terres path {
    animation-delay: 3.5s;
}
#terres_reparti path {
    animation-delay: 4s;
}
#budget_to_atmosphere path {
    animation-delay: 5.5s;
}
#atmosphere_reparti path {
    animation-delay: 6s;
}
#budget_to_glaces path {
    animation-delay: 7.5s;
}
#glaces path {
    animation-delay: 8s;
}
#oceans_to_hausse_temp_eau path {
    animation-delay: 9.5s;
}
#hausse_temp_eau path {
    animation-delay: 10s;
}
#hausse_temp_eau_to_cyclones path {
    animation-delay: 11.5s;
}
#cyclones path {
    animation-delay: 12s;
}
#hausse_temp_eau_to_biodiversite path {
    animation-delay: 13.5s;
}
#biodiversite_marine_reparti path {
    animation-delay: 14s;
}
#hausse_temp_eau_to_cycle_eau path {
    animation-delay: 15.5s;
}
#perturbation_cycle_eau path {
    animation-delay: 16s;
}
#hausse_temp_eau_to_montee_eaux path {
    animation-delay: 17.5s;
}
#montee_eaux path {
    animation-delay: 18s;
}
#glaces_to_calotte path {
    animation-delay: 19.5s;
}
#calotte path {
    animation-delay: 20s;
}
#calotte_to_montee_eaux path {
    animation-delay: 20.5s;
}
#glaces_to_glaciers path {
    animation-delay: 22s;
}
#glacier path {
    animation-delay: 22.5s;
}
#glaciers_to_montee_eaux path {
    animation-delay: 23s;
}
#glaciers_to_ressources_eau_douce path {
    animation-delay: 24.5s;
}
#ressources_eau_douce path {
    animation-delay: 25s;
}
#glaces_to_banquise path {
    animation-delay: 26.5s;
}
#banquise path {
    animation-delay: 27s;
}
#banquise_to_biodiversite path {
    animation-delay: 28.5s;
}
#biodiversite_terrestre path {
    animation-delay: 29s;
}
#terres_to_permafrost path {
    animation-delay: 30.5s;
}
#permafrost path {
    animation-delay: 31s;
}
#permafrost_to_autres_ges path {
    animation-delay: 32.5s;
}
#autres_ges_reparti path {
    animation-delay: 33s;
}
#autres_ges_to_atmosphere_reparti path {
    animation-delay: 34.5s;
}
#atmosphere_to_hausse_temp path {
    animation-delay: 35.5s;
}
#hausse_temp_air path {
    animation-delay: 36s;
}
#hausse_temp_to_permafrost path {
    animation-delay: 37s;
}

/* ICONS */
#hausse_temp_conseq path,
#cyclones_conseq path,
#biodiversite_marine_conseq path,
#cycle_eau_conseq path,
#montee_eaux_conseq path,
#eau_douce_conseq path,
#biodiversite_terrestre_conseq path,
#canicules path,
#secheresse path,
#crues path,
#inondations path,
#pandemies path,
#incendies path,
#rendements_agricoles path,
#famine path,
#refugies path,
#aerosols_conseq path,
#sante path,
#libertes path,
#conflits path {
    opacity: 0;
    stroke-dasharray: 1000;
    stroke-dashoffset: 1000;
    animation: dropIn 8s ease forwards, icones 5s ease forwards;
}
/* ICONS LABELS */
#hausse_temp_conseq g:first-child,
#cyclones_conseq g:first-child,
#biodiversite_marine_conseq g:first-child,
#cycle_eau_conseq g:first-child,
#montee_eaux_conseq g:first-child,
#eau_douce_conseq g:first-child,
#biodiversite_terrestre_conseq g:first-child,
#canicules g:first-child,
#secheresse g:first-child,
#crues g:first-child,
#inondations g:first-child,
#pandemies g:first-child,
#incendies g:first-child,
#rendements_agricoles g:first-child,
#famine	g:first-child,
#refugies g:first-child,
#aerosols_conseq g:first-child,
#sante g:first-child,
#libertes g:first-child,
#conflits g:first-child {
    opacity: 0;
    stroke-dasharray: 1000;
    stroke-dashoffset: 1000;
    animation: dropInLabel 4s ease forwards;
}
/* ARROWS */
#hausse_temp_to_canicules path,
#hausse_temp_to_secheresses path,
#hausse_temp_to_rendements_agricoles path,
#cyclones_to_rendements_agricoles path,
#cyclones_to_crues path,
#biodiversite_marine_to_famine path,
#cycle_eau_to_secheresses path,
#cycle_eau_to_crues path,
#cycle_eau_to_inondations path,
#montee_eaux_to_crues path,
#eau_douce_to_pandemies path,
#eau_douce_to_conflits path,
#biodiversite_terrestre_to_famine path,
#biodiversite_terrestre_to_pandemies path,
#canicules_to_incendies path,
#incendies_to_rendements_agricoles path,
#incendies_to_sante path,
#aerosols_to_sante path,
#crues_to_eau_douce path,
#inondations_to_rendements_agricoles path,
#famine_to_refugies path,
#refugies_to_conflits path,
#pandemies_to_refugies path,
#pandemies_to_libertes path,
#pandemies_to_sante path,
#libertes_to_conflits path
{
    opacity: 0;
    stroke-dasharray: 5;
    stroke-width: 2; 
    stroke-linecap: round;
    stroke-linejoin: round;
    animation: fadeIn 2s ease forwards, dash 25s linear infinite;
}
#rendements_agricoles_to_famine path,
#rendements_agricoles_to_sante path,
#famine_to_sante path,
#sante_to_libertes path,
#sante_to_conflits path {
    opacity: 0;
    stroke-dasharray: 24;
    stroke-width: 8;
    stroke-linecap: round;
    stroke-linejoin: round;
    animation: fadeIn 2s ease forwards, dash 10s linear infinite;
}
#canicules_to_sante path,
#secheresse_to_rendements_agricoles path,
#crues_to_rendements_agricoles path,
#crues_to_sante path {
        opacity: 0;
    stroke-dasharray: 18;
    stroke-width: 6;
    stroke-linecap: round;
    stroke-linejoin: round;
    animation: fadeIn 2s ease forwards, dash 10s linear infinite;
}
/* TIMELINE */
#hausse_temp_conseq path {
    animation-delay: 250ms;
}
#hausse_temp_to_canicules path {
    animation-delay: 1.5s;
}
#canicules path {
    animation-delay: 2s;
}
#hausse_temp_to_secheresses path {
    animation-delay: 3.5s;
}
#secheresse path {
    animation-delay: 4s;
}
#hausse_temp_to_rendements_agricoles path {
    animation-delay: 5.5s;
}
#rendements_agricoles path {
    animation-delay: 6s;
}
#cyclones_to_rendements_agricoles path {
    animation-delay: 7.5s;
}
#cyclones_to_crues path {
    animation-delay: 9s;
}
#crues path {
    animation-delay: 9.5s;
}
#biodiversite_marine_to_famine path {
    animation-delay: 11s;
}
#famine path {
    animation-delay: 11.5s;
}
#cycle_eau_to_secheresses path {
    animation-delay: 13s;
}
#cycle_eau_to_crues path {
    animation-delay: 14s;
}
#cycle_eau_to_inondations path {
    animation-delay: 15s;
}
#inondations path {
    animation-delay: 15.5s;
}
#montee_eaux_to_crues path {
    animation-delay: 17s;
}
#eau_douce_to_pandemies path {
    animation-delay: 18.5s;
}
#pandemies path {
    animation-delay: 19s;
}
#eau_douce_to_conflits path {
    animation-delay: 20.5s;
}
#conflits path {
    animation-delay: 21s;
}
#biodiversite_terrestre_to_famine path {
    animation-delay: 22.5s;
}
#biodiversite_terrestre_to_pandemies path {
    animation-delay: 23.5s;
}
#canicules_to_sante path {
    animation-delay: 25s;
}
#sante path {
    animation-delay: 25.5s;
}
#canicules_to_incendies path {
    animation-delay: 27s;
}
#incendies path {
    animation-delay: 27.5s;
}
#incendies_to_rendements_agricoles path {
    animation-delay: 28.5s;
}
#incendies_to_sante path {
    animation-delay: 29.5s;
}
#aerosols_conseq path {
    animation-delay: 31s;
}
#aerosols_to_sante path {
    animation-delay: 31.5s;
}
#secheresse_to_rendements_agricoles path {
    animation-delay: 33s;
}
#crues_to_rendements_agricoles path {
    animation-delay: 34s;
}
#crues_to_sante path {
    animation-delay: 35s;
}
#crues_to_eau_douce path {
    animation-delay: 36s;
}
#rendements_agricoles_to_sante path {
    animation-delay: 37s;
}
#rendements_agricoles_to_famine path {
    animation-delay: 38s;
}
#famine_to_sante path {
    animation-delay: 39s;
}
#famine_to_refugies path {
    animation-delay: 40s;
}
#refugies path {
    animation-delay: 40.5s;
}
#inondations_to_rendements_agricoles path {
    animation-delay: 42s;
}
#pandemies_to_sante path {
    animation-delay: 43s;
}
#pandemies_to_libertes path {
    animation-delay: 44s;
}
#libertes path {
    animation-delay: 44.5s;
}
#pandemies_to_refugies path {
    animation-delay: 45.5s;
}
#sante_to_libertes path {
    animation-delay: 47s;
}
#sante_to_conflits path {
    animation-delay: 48s;
}
#refugies_to_conflits path {
    animation-delay: 49s;
}
#libertes_to_conflits path {
    animation-delay: 50s;
}
